Subject: [tcpm] draft-ietf-tcpm-rfc793bis-14: Section 3.4

From: <[email-masked]>
Date: Wed, 31 Jul 2019 06:58:30 +0000

Re-,

Can we update this text as follows: 

OLD:

   Several examples of connection initiation follow.  Although these
   examples do not show connection synchronization using data-carrying
   segments, this is perfectly legitimate, so long as the receiving TCP
   doesn't deliver the data to the user until it is clear the data is
   valid (i.e., the data must be buffered at the receiver until the
          ^^^^           ^^^^^^^
   connection reaches the ESTABLISHED state).  The three-way handshake
                                           ^^^^
   reduces the possibility of false connections.  It is the
   implementation of a trade-off between memory and messages to provide
   information for this checking.

NEW:

   Several examples of connection initiation follow.  Although these
   examples do not show connection synchronization using data-carrying
   segments, this is perfectly legitimate, so long as the receiving TCP
   doesn't deliver the data to the user until it is clear the data is
   valid (e.g., the data is buffered at the receiver until the
          ^^^^           ^^
   connection reaches the ESTABLISHED state given that the three-way handshake
                                            ^^^^^^^^^^^^
   reduces the possibility of false connections).  It is the
   implementation of a trade-off between memory and messages to provide
   information for this checking.

Rationale: 
* The key requirement is: "doesn't deliver the data to the user until it is clear the data is valid". This one is maintained as it is. 
* Waiting for the 3HWS completion is only an example to fulfil the above requirement.
* Allow for future 0-RTT validation methods without requiring an update to RFC793bis: For example, if TFO is promoted to Standard track, there won't be a need to update RFC793bis.

Cheers,
Med

> -----Message d'origine-----
> De : I-D-Announce [mailto:[email-masked]] De la part de
> [email-masked]
> Envoyé : mardi 30 juillet 2019 19:47
> À : [email-masked]
> Cc : [email-masked]
> Objet : I-D Action: draft-ietf-tcpm-rfc793bis-14.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the TCP Maintenance and Minor Extensions WG
> of the IETF.
> 
>         Title           : Transmission Control Protocol Specification
>         Author          : Wesley M. Eddy
> 	Filename        : draft-ietf-tcpm-rfc793bis-14.txt
> 	Pages           : 104
> 	Date            : 2019-07-30
> 
> Abstract:
>    This document specifies the Internet's Transmission Control Protocol
>    (TCP).  TCP is an important transport layer protocol in the Internet
>    stack, and has continuously evolved over decades of use and growth of
>    the Internet.  Over this time, a number of changes have been made to
>    TCP as it was specified in RFC 793, though these have only been
>    documented in a piecemeal fashion.  This document collects and brings
>    those changes together with the protocol specification from RFC 793.
>    This document obsoletes RFC 793, as well as 879, 2873, 6093, 6429,
>    6528, and 6691 that updated parts of RFC 793.  It updates RFC 1122,
>    and should be considered as a replacement for the portions of that
>    document dealing with TCP requirements.  It updates RFC 5961 due to a
>    small clarification in reset handling while in the SYN-RECEIVED
>    state.
> 
>    RFC EDITOR NOTE: If approved for publication as an RFC, this should
>    be marked additionally as "STD: 7" and replace RFC 793 in that role.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-rfc793bis/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-tcpm-rfc793bis-14
> https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-rfc793bis-14
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-rfc793bis-14
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt